local private_vars = require 'user.private'

return {
  -- You can also add new plugins here as well:
  -- Add plugins, the lazy syntax
  -- {
  --   "ray-x/lsp_signature.nvim",
  --   event = "BufRead",
  --   config = function()
  --     require("lsp_signature").setup()
  --   end,
  -- },
  {
    "andweeb/presence.nvim",
    event = "BufRead",
    config = function()
      require("presence").setup({
        auto_update = true,
        blacklist = private_vars.presence_blacklist,
      })
    end,
  },

  {
    "ahmedkhalf/project.nvim",
    event = "BufRead",
    config = function()
      require("project_nvim").setup {
        detection_methods = { "pattern" },
        patterns = { ".git" }
      }
    end,
  },

  {
    "catppuccin/nvim",
    name = "catppuccin",
    priority = 1000,

    config = function()
      require("catppuccin").setup({
        flavour = "macchiato",
        transparent_background = true,
        term_colors = true,
      })
    end,
  },

  {
    "APZelos/blamer.nvim",
    name = "blamer",
    event = "VeryLazy",
    config = function()
      vim.cmd("BlamerShow")
    end,
  },

  {
    "onsails/lspkind.nvim",
    opts = function(_, opts)
      -- use codicons preset
      opts.preset = "codicons"

      -- set some missing symbol types
      opts.symbol_map = {
        Array = "",
        Boolean = "",
        Key = "",
        Namespace = "",
        Null = "",
        Number = "",
        Object = "",
        Package = "",
        String = "",
      }
    end
  },
}
